#!/bin/sh
# ----------------------------------------------------------------------------
# /tmp/install.sh - funambol installation
#
# Creation   : 2010-02-16 richter
# Last update: $Id: install.sh 99 2010-02-16 17:39:46Z christian $
#
# Copyright (c) 2010 christian richter, <richterch(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set package name
packageName=funambol

# ----------------------------------------------------------------------------
# Setup step 1
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Add menu
# ----------------------------------------------------------------------------
/var/install/bin/add-menu setup.services.menu setup.services.${packageName}.menu "${packageName}"

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------

/var/install/config.d/${packageName}-update.sh

# ----------------------------------------------------------------------------
# Start configuration editor if necessary
# ----------------------------------------------------------------------------
. /etc/config.d/${packageName}
if [ "${START_FUNAMBOL}" == 'no' ]
then
    /var/install/bin/edit -apply ${packageName} "Edit ${packageName} configuration"
else
    /var/install/config.d/${packageName}.sh --quiet
fi


exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
